-- by modelleicher
-- original function by Giants, changed line 12 to accept liquidManure for sprayType 2
-- You can find me at www.schwabenmodding.de or https://ls-modcompany.com/ or on youtube: https://www.youtube.com/c/modelleicher
-- Date: 25.03.2018
-- updated 01.08.2018 added digestate 
-- updated 02.10.2018 deactivate texture change when field job is active


liquidManureTextureFix = {};

function liquidManureTextureFix:processSprayerAreas(workAreas, fillType)
	local sprayType = 1;
	if not g_currentMission.fieldJobManager:isFieldJobActive() then -- only change texture when no field job is active (fix V1.2)
		if fillType == FillUtil.FILLTYPE_MANURE or fillType == FillUtil.FILLTYPE_LIQUIDMANURE or fillType == FillUtil.FILLTYPE_DIGESTATE then -- added liquidManure (and added Digestate for V1.1)
			sprayType = 2;
		end
	else
		if fillType == FillUtil.FILLTYPE_MANURE then 
			sprayType = 2;
		end	
	end;
	local totalPixels = 0;
	local numAreas = table.getn(workAreas);
	for i=1, numAreas do
		local x = workAreas[i][1];
		local z = workAreas[i][2];
		local x1 = workAreas[i][3];
		local z1 = workAreas[i][4];
		local x2 = workAreas[i][5];
		local z2 = workAreas[i][6];

		local pixels, pixelsTotal;        
		if self.cultivatorGroundContactFlag ~= nil and self.sowingMachineGroundContactFlag == nil then
			pixels, pixelsTotal = Utils.updateSprayArea(x, z, x1, z1, x2, z2, g_currentMission.cultivatorValue, sprayType);
		else
			pixels, pixelsTotal = Utils.updateSprayArea(x, z, x1, z1, x2, z2, nil, sprayType);
		end
		totalPixels = totalPixels + pixels;
	end;
	return totalPixels;
end;


Sprayer.processSprayerAreas = liquidManureTextureFix.processSprayerAreas;